include <BOSL2/std.scad>
include <BOSL2/skin.scad>


module test_skin() {
    profiles = [
        [[-100,-100,0], [0,100,0], [100,-100,0]],
        [[-100,-100,100], [-100,100,100], [100,100,100], [100,-100,100]],
    ];
    vnf1 = skin(profiles, slices=0, caps=false, method="distance");
    assert(vnf1 == [[[-100, -100, 0], [0, 100, 0], [0, 100, 0], [100, -100, 0], [-100, -100, 100], [-100, 100, 100], [100, 100, 100], [100, -100, 100]], [[0, 1, 4], [4, 1, 5], [1, 2, 5], [5, 2, 6], [2, 3, 6], [6, 3, 7], [3, 0, 7], [7, 0, 4]]]);
    vnf2 = skin(profiles, slices=0, caps=true, method="distance");
    assert(vnf2 == [[[-100, -100, 0], [0, 100, 0], [0, 100, 0], [100, -100, 0], [-100, -100, 100], [-100, 100, 100], [100, 100, 100], [100, -100, 100]], [[0, 1, 4], [4, 1, 5], [1, 2, 5], [5, 2, 6], [2, 3, 6], [6, 3, 7], [3, 0, 7], [7, 0, 4], [3, 2, 1, 0], [4, 5, 6, 7]]]);
    vnf_polyhedron(vnf2);
}
test_skin();


// vim: expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap
